## mkvtoolnix 6.7.0

=== lib/libebml/make/linux/Makefile ===
# libebml Makefile
# $Id: Makefile,v 1.8 2004/05/11 20:27:38 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
# BeOS wants the libs and headers in /boot/home/config
ifeq (BeOS,$(shell uname -s))
prefix=/boot/home/config
else
prefix=/usr/local
endif
libdir=$(prefix)/lib
includedir=$(prefix)/include/ebml

# Programs
CROSS =
CXX = $(CROSS)g++
LD = $(CXX)
AR = $(CROSS)ar
RANLIB = $(CROSS)ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

# Options
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif

ifeq (Darwin,$(shell uname -s))
link=static
else
link=both
endif

targets_both = staticlib sharedlib
targets_shared = sharedlib
targets_static = staticlib

CWD=$(shell pwd)

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../ebml

# Libraries
INCLUDE=-I$(CWD)/../..
LIBS=

# Names
LIBRARY=libebml.a
LIBRARY_SO=libebml.so
LIBRARY_SO_VER=libebml.so.4

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))

WARNINGFLAGS=-Wall -Wextra -Wno-unknown-pragmas -Wshadow
COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)

all: $(targets_$(link))

staticlib: $(LIBRARY)

sharedlib: $(LIBRARY_SO)

lib:
	@echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
	@false

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(COMPILEFLAGS) -o $@ $<

%.lo: %$(EXTENSION)
	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<

$(LIBRARY): $(objects)
	$(AR) rcvu $@ $(objects)
	$(RANLIB) $@

$(LIBRARY_SO): $(objects_so)
	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so)
	rm -f $(LIBRARY_SO)
	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)

clean:
	rm -f $(objects) $(objects_so)
	rm -f $(LIBRARY)
	rm -f $(LIBRARY_SO)
	rm -f $(LIBRARY_SO_VER)
	rm -f CORE

distclean dist-clean: clean
	rm -f .depend

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(sources); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo '  ' $$i: $$o ; \
		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
	done

install: $(targets_$(link):%=install_%) install_headers

install_headers:
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir)/c ; \
	done

install_staticlib: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(DESTDIR)$(libdir)

install_sharedlib: $(LIBRARY_SO)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
	ln -fs $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)


ifneq ($(wildcard .depend),)
include .depend
endif

# DO NOT DELETE

=== lib/libebml/make/mingw32/Makefile ===
# Project: libebml
# Makefile created by Dev-C++ 4.9.7.0

# Normally libebml is built as a static library.
# Uncomment this if you want a shared library instead.
# ATTENTION: If your app uses this DLL you have to define EBML_DLL !
SHARED = yes

# Compile with debug information?
#DEBUG = yes


#
# Don't change anything below this line.
#
ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CROSS   =
CXX     = $(CROSS)g++
CC      = $(CROSS)gcc
WINDRES = $(CROSS)windres
RANLIB  = $(CROSS)ranlib
AR      = $(CROSS)ar
RES  =
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.o,$(SRC))
ifeq (yes,$(SHARED))
LIBS = libebml.dll
DLLFLAGS = -DEBML_DLL -DEBML_DLL_EXPORT
else
LIBS = libebml.a
endif
INCS = -I"$(shell pwd)/../.."
COMPILEFLAGS = $(DEBUGFLAGS) $(INCS) $(DLLFLAGS) $(CXXFLAGS)

.PHONY: all all-before all-after clean clean-custom

.cpp.o:
	$(CXX) $(COMPILEFLAGS) -c -o $@ $<

all: lib

lib: $(LIBS)

clean:
	rm -f $(OBJ) libebml.a libebml.dll libebml.dll.a

distclean dist-clean: clean
	rm -f .depend

libebml.a: $(OBJ)
	$(AR) rcvu $@ $(OBJ)
	$(RANLIB) $@

libebml.dll: $(OBJ)
	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ)

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(SRC); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo '  ' $$i: $$o ; \
		$(CXX) $(CXXFLAGS) -MM -MT $$o $$i >> .depend ; \
	done

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== lib/libmatroska/make/linux/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile 1254 2006-06-02 14:32:52Z mosu $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
# BeOS wants the libs and headers in /boot/home/config
ifeq (BeOS,$(shell uname -s))
prefix=/boot/home/config
else
prefix=/usr/local
endif
libdir=$(prefix)/lib
includedir=$(prefix)/include/matroska

# Programs
CROSS =
CXX = $(CROSS)g++
LD = $(CXX)
AR = $(CROSS)ar
RANLIB = $(CROSS)ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

CWD=$(shell pwd)

# Options
LIBEBML_INCLUDE_DIR=$(CWD)/../../../libebml
LIBEBML_LIB_DIR=$(CWD)/../../../libebml/make/linux
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif

ifeq (Darwin,$(shell uname -s))
link=static
else
link=both
endif

targets_both = staticlib sharedlib
targets_shared = sharedlib
targets_static = staticlib

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../matroska
MUX_SRC_DIR=$(CWD)/../../test/mux/
TAG_SRC_DIR=$(CWD)/../../test/tags/

# Libraries
INCLUDE=-I$(CWD)/../.. -I$(LIBEBML_INCLUDE_DIR)
LIBS=
MUX_LIBS=-lmatroska -lebml $(LIBICONV)

# Names
LIBRARY=libmatroska.a
LIBRARY_SO=libmatroska.so
LIBRARY_SO_VER=libmatroska.so.6

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))

WARNINGFLAGS=-Wall -Wextra -Wno-unknown-pragmas -D_GNU_SOURCE -Wshadow
COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)

all: $(targets_$(link))

staticlib: $(LIBRARY)

sharedlib: $(LIBRARY_SO)

lib:
	@echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
	@false

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(COMPILEFLAGS) -o $@ $<

%.lo: %$(EXTENSION)
	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<

$(LIBRARY): $(objects)
	$(AR) rcvu $@ $(objects)
	$(RANLIB) $@

$(LIBRARY_SO): $(objects_so)
	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) -lebml
	rm -f $(LIBRARY_SO)
	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)

clean:	cleantest
	rm -f $(objects) $(objects_so)
	rm -f $(LIBRARY)
	rm -f $(LIBRARY_SO)
	rm -f $(LIBRARY_SO_VER)
	rm -f CORE

cleantest:
	rm -f test6 test8 test9 test6.o test8.o test9.o

distclean dist-clean: clean
	rm -f .depend

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(sources); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo '  ' $$i: $$o ; \
		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
	done

test: test6 test9

test6:	test6.o $(LIBRARY) $(LIBRARY_SO)
	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)

test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(COMPILEFLAGS) -o $@ $<

test8:	test8.o $(LIBRARY) $(LIBRARY_SO)
	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)

test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(COMPILEFLAGS) -o $@ $<

test9:	test9.o $(LIBRARY) $(LIBRARY_SO)
	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)

test9.o: $(TAG_SRC_DIR)test9.cpp
	$(CXX) -c $(COMPILEFLAGS) -o $@ $<

install: $(targets_$(link):%=install_%) install_headers 

install_headers:
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir)/c ; \
	done

install_staticlib: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(DESTDIR)$(libdir)

install_sharedlib: $(LIBRARY_SO)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
	ln -fs $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)

ifneq ($(wildcard .depend),)
include .depend
endif

# DO NOT DELETE

=== lib/libmatroska/make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

# Normally libmatroska is built as a static library.
# Uncomment this if you want a shared library instead.
# ATTENTION: Your app has to define MATROSKA_DLL !
SHARED = yes

# Compile with debug information?
#DEBUG = yes

# Where libebml resides
EBML_DIR = ../../../libebml

# Has libebml been compiled as a DLL?
EBML_DLL = yes

#
# Don't change anything below this line.
#
ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CROSS   =
CXX     = $(CROSS)g++
CC      = $(CROSS)gcc
WINDRES = $(CROSS)windres
RANLIB  = $(CROSS)ranlib
AR      = $(CROSS)ar
RES  =
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.o,$(SRC))
ifeq (yes,$(SHARED))
LIBS = libmatroska.dll
FLAGS = -DMATROSKA_DLL
DLLFLAGS = -DMATROSKA_DLL_EXPORT
else
LIBS = libmatroska.a
endif
ifeq (yes,$(SHARED))
ifeq (yes,$(EBML_DLL))
FLAGS += -DEBML_DLL
endif
endif
CWD = $(shell pwd)
INCS = -I"$(CWD)/../.." -I$(EBML_DIR)
LDFLAGS = -L. -L$(EBML_DIR)/make/mingw32
COMPILEFLAGS = $(DEBUGFLAGS) $(INCS) $(FLAGS) $(CXXFLAGS)
TESTS = test6 test8 test9

.PHONY: all all-before all-after clean clean-custom

.cpp.o:
	$(CXX) $(DLLFLAGS) $(COMPILEFLAGS) -c -o $@ $<

all: lib

lib: $(LIBS)

tests: $(TESTS)

clean:
	rm -f $(OBJ) libmatroska.a libmatroska.dll.a libmatroska.dll *.exe \
		../../test/mux/*.o ../../test/tags/*.o

distclean dist-clean: clean
	rm -f .depend

libmatroska.a: $(OBJ)
	$(AR) rcvu $@ $(OBJ)
	$(RANLIB) $@

libmatroska.dll: $(OBJ)
	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ) \
		$(LDFLAGS) -lebml

# Explicitely list these object files because for them
# MATROSKA_DLL_EXPORT must NOT be defined.
../../test/mux/test6.o: ../../test/mux/test6.cpp
	$(CXX) $(COMPILEFLAGS) -c -o $@ $<

test6:	../../test/mux/test6.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/mux/test8.o: ../../test/mux/test8.cpp
	$(CXX) $(COMPILEFLAGS) -c -o $@ $<

test8:	../../test/mux/test8.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/tags/test9.o: ../../test/tags/test9.cpp
	$(CXX) $(COMPILEFLAGS) -c -o $@ $<

test9:	../../test/tags/test9.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(SRC); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo '  ' $$i: $$o ; \
		$(CXX) $(COMPILEFLAGS) -MM -MT $$o $$i >> .depend ; \
	done

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== lib/libmatroska/make/vc7/Makefile ===
# Project: libmatroska
# Makefile to use the Free Visual C++ 2003 compiler from Microsoft with GNU Make

# Compile with debug information?
#DEBUG = yes

# Where libebml resides
EBML_DIR = ../../../libebml

#
# Don't change anything below this line.
#
CXX  = cl /Tp
CC   = cl /Tc
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.obj,$(SRC))
INCS = /I../.. /I$(EBML_DIR)
LDFLAGS = /NOLOGO /DLL /MAP:libmatroska.map /LIBPATH:$(EBML_DIR)/make/vc7 /VERSION:0.7
OPTMIZ = /G6 /O2 /Oi /GL /Wp64
CXXFLAGS = $(INCS) /DWIN32 /nologo /DEBML_DLL 


ifeq (yes,$(DEBUG))
CXXFLAGS += /Zi /DDEBUG /D_DEBUG /MTd /RTC1
LDFLAGS += /DEBUG
else
CXXFLAGS += /MT
LDFLAGS += /OPT:REF
endif

LIBS = libmatroska.dll

.PHONY: all all-before all-after clean clean-custom

%.obj : %.cpp
	$(CXX) $< /c $(CXXFLAGS) /Fo$@

all: lib

lib: $(LIBS)

clean:
	$(RM) $(OBJ) libmatroska.lib libmatroska.dll

libmatroska.lib: $(OBJ)
	lib /OUT:$@ /NODEFAULTLIB $(OBJ)

libmatroska.dll: $(OBJ)
	link $(LDFLAGS) /OUT:$@ $(OBJ) libebml.lib
#	user32.lib

depend:
	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mkvtoolnix (6.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 09 Jan 2014 08:17:13 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
 libogg-dev, libpcre3-dev, libvorbis-dev, libwxgtk3.0-dev, ruby,
 liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 libboost-filesystem-dev (>= 1.54.0~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allows one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix, ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allows one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allows one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-gui

#	exit 1

	./drake

	mv src/mkvinfo src/mkvinfo-gui
	mv src/mmg/mmg src/mmg/mmg-gui

	./drake clean:dist

	dh_auto_configure -- \
	--disable-gui

	./drake default 'translations:guides'

override_dh_clean:
	[ ! -f build-config ] || ./drake clean:dist

	dh_clean src/mkvinfo-gui src/mmg/mmg-gui config.status config.log \
	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config

override_dh_install:
	./drake install 'install:translations:guides' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'

	dh_install --fail-missing -Xmkvtoolnix.xml

	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg

	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

override_dh_auto_build:

## mkvtoolnix 7.1.0

=== debian/changelog ===
mkvtoolnix (7.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jul 2014 08:35:23 +0200

mkvtoolnix (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Added libboost-date-time-dev in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Jun 2014 10:57:08 +0200

mkvtoolnix (6.9.1-3) unstable; urgency=medium

  * mkvtoolnix-gui must Depends on the same mkvtoolnix package version
    (CLoses: #748468).

 -- Christian Marillat <marillat@debian.org>  Sat, 17 May 2014 16:42:45 +0200

mkvtoolnix (6.9.1-2) unstable; urgency=medium

  * Build-Depedns on pkg-config as this dependency is missing from the
    zlib1g-dev package.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 May 2014 15:22:12 +0200

mkvtoolnix (6.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Apr 2014 20:14:25 +0200

mkvtoolnix (6.8.0-1) unstable; urgency=medium

  * New upstream release.
  * The deprecated ISO 639-1 code "iw" is now recognized for Hebrew
    (Closes: 739649).

 -- Christian Marillat <marillat@debian.org>  Mon, 03 Mar 2014 19:24:40 +0100

## mkvtoolnix 7.3.0

=== debian/changelog ===
mkvtoolnix (7.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Oct 2014 10:04:46 +0200

mkvtoolnix (7.2.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Sep 2014 01:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
  libogg-dev, libpcre3-dev, libvorbis-dev, libwxgtk3.0-dev, ruby,
- liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- libboost-filesystem-dev (>= 1.54.0~)
+ liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev, pkg-config,
+ libboost-date-time-dev, libboost-filesystem-dev (>= 1.46~)
 
 Package: mkvtoolnix
 Architecture: any
@@ -27,7 +27,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix, ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Replaces: mkvtoolnix (<= 4.6.0-1)
 Description: Set of tools to work with Matroska files - GUI frontend
  Matroska is a new multimedia container format, based on EBML (Extensible

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,4 @@
 	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
 	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz
 
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2
-
 override_dh_auto_build:

## mkvtoolnix 7.8.0

=== debian/changelog ===
mkvtoolnix (7.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Apr 2015 10:36:27 +0200

## mkvtoolnix 7.9.0

=== debian/changelog ===
mkvtoolnix (7.9.0-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 03 Jun 2015 16:40:55 -0700

mkvtoolnix (7.9.0-0mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12.0.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 28 May 2015 17:38:28 -0700

mkvtoolnix (7.9.0-0~bunkus01) vivid; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 10 May 2015 10:56:46 +0200

mkvtoolnix (7.8.0-0~bunkus01) utopic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 27 Mar 2015 13:09:20 +0100

mkvtoolnix (7.7.0-0~bunkus01) utopic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 28 Feb 2015 23:07:21 +0100

mkvtoolnix (7.6.0-0~bunkus01) utopic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 08 Feb 2015 10:34:57 +0100

mkvtoolnix (7.5.0-0~bunkus01) utopic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 04 Jan 2015 16:15:50 +0100

mkvtoolnix (7.4.0-0~bunkus01) utopic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 12 Dec 2014 10:36:50 +0100

mkvtoolnix (7.3.0-0~bunkus02) trusty; urgency=low

  * Rebuild against an updated wheezy installation.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 22 Oct 2014 18:34:49 +0200

mkvtoolnix (7.3.0-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 22 Oct 2014 18:34:49 +0200

mkvtoolnix (7.2.0-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 13 Sep 2014 15:31:09 +0200

mkvtoolnix (7.1.0-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 27 Jul 2014 12:52:21 +0200

mkvtoolnix (7.0.0-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 09 Jun 2014 15:02:52 +0200

mkvtoolnix (6.9.1-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 18 Apr 2014 18:02:43 +0200

mkvtoolnix (6.9.0-0~bunkus01) trusty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 18 Apr 2014 10:56:13 +0200

mkvtoolnix (6.8.0) saucy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 02 Mar 2014 20:04:46 +0100

mkvtoolnix (6.7.0) saucy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 08 Jan 2014 14:09:09 +0100

mkvtoolnix (6.6.0) saucy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 01 Dec 2013 17:50:00 +0100

mkvtoolnix (6.5.0) saucy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 19 Oct 2013 20:16:59 +0200

mkvtoolnix (6.4.1) raring; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 16 Sep 2013 21:38:37 +0200

mkvtoolnix (6.4.0) raring; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 15 Sep 2013 20:24:11 +0200

mkvtoolnix (6.3.0) raring; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 27 Jun 2013 20:15:22 +0200

mkvtoolnix (6.2.0) raring; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 27 Apr 2013 18:22:29 +0200

mkvtoolnix (6.1.0) quantal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 02 Mar 2013 14:24:52 +0100

mkvtoolnix (6.0.0) quantal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 20 Jan 2013 09:40:17 +0100

mkvtoolnix (5.9.0) quantal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 09 Dec 2012 13:34:47 +0000

mkvtoolnix (5.8.0) precise; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 02 Sep 2012 13:00:19 +0200

mkvtoolnix (5.7.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 08 Jul 2012 20:03:06 +0200

mkvtoolnix (5.6.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 27 May 2012 11:28:54 +0200

mkvtoolnix (5.5.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 06 Apr 2012 18:20:35 +0200

mkvtoolnix (5.4.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 10 Mar 2012 10:51:54 +0100

mkvtoolnix (5.3.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 09 Feb 2012 09:47:59 +0100

mkvtoolnix (5.2.1) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 02 Jan 2012 20:34:46 +0100

mkvtoolnix (5.2.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 18 Dec 2011 15:36:21 +0100

mkvtoolnix (5.1.0) oneiric; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 27 Nov 2011 20:42:59 +0100

mkvtoolnix (5.0.1-1) natty; urgency=low

  * Move mmg's guide from the mkvtoolnix into the mkvtoolnix-gui
    package.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 12 Oct 2011 22:41:00 +0200

mkvtoolnix (5.0.1) natty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 09 Oct 2011 11:43:35 +0200

mkvtoolnix (5.0.0) natty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 24 Sep 2011 11:50:47 +0200

mkvtoolnix (4.9.1) natty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 11 Jul 2011 20:25:27 +0200

mkvtoolnix (4.9.0) natty; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 09 Jul 2011 22:30:48 +0200

mkvtoolnix (4.8.0) lucid; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 23 May 2011 22:29:48 +0200

mkvtoolnix (4.7.0) lucid; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 20 Apr 2011 11:18:38 +0200

mkvtoolnix (4.6.0) lucid; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 09 Mar 2011 23:26:45 +0100

mkvtoolnix (4.5.0) lucid; urgency=low

  * New version.



=== debian/control ===
Source: mkvtoolnix
Section: video
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Moritz Bunkus <moritz@bunkus.org>
Homepage: https://www.bunkus.org/videotools/mkvtoolnix/
Standards-Version: 3.9.5
Build-Depends:
 debhelper (>= 7.0.50~), libwxgtk3.0-dev | libwxgtk2.8-dev,
 ruby (>= 1.9) | ruby1.9 | ruby1.9.1 | ruby1.9.3,
 libbz2-dev, liblzo2-dev, zlib1g-dev, libmagic-dev,
 libflac-dev, libogg-dev, libvorbis-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libboost-dev (>= 1.46), libboost-filesystem-dev (>= 1.46),
 libboost-regex-dev (>= 1.46), libboost-date-time-dev (>= 1.46),
 libboost-system-dev (>= 1.46), qt5-default,
 pkg-config

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allows one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
  * mkvpropedit can edit header and chapter information without remuxing
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mkvtoolnix-gui tool is a graphical user interface for the mkvmerge
 program, which allows one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allows one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,12 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
+# uncomment line to turn verbose mode on
+#export V=1
+
+
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -11,10 +15,11 @@
 
 #	exit 1
 
-	./drake
+	./drake apps:mkvinfo apps:mmg apps:mkvtoolnix-gui
 
 	mv src/mkvinfo src/mkvinfo-gui
 	mv src/mmg/mmg src/mmg/mmg-gui
+	mv src/mkvtoolnix-gui/mkvtoolnix-gui src/mkvtoolnix-gui/mkvtoolnix-gui-tmp
 
 	./drake clean:dist
 
@@ -26,7 +31,7 @@
 override_dh_clean:
 	[ ! -f build-config ] || ./drake clean:dist
 
-	dh_clean src/mkvinfo-gui src/mmg/mmg-gui config.status config.log \
+	dh_clean src/mkvinfo-gui src/mmg/mmg-gui src/mkvtoolnix-gui/mkvtoolnix-gui-tmp config.status config.log \
 	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config
 
 override_dh_install:
@@ -37,8 +42,15 @@
 
 	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
 	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg
+	mv debian/mkvtoolnix-gui/usr/bin/mkvtoolnix-gui-tmp debian/mkvtoolnix-gui/usr/bin/mkvtoolnix-gui
 
 	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
 	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz
 
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9
+
 override_dh_auto_build:

=== debian/watch ===
version=3
https://www.bunkus.org/videotools/mkvtoolnix/sources/mkvtoolnix-(.*)\.tar\.xz

## mkvtoolnix 8.0.0

=== debian/changelog ===
mkvtoolnix (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Replaces libwxgtk3.0-dev by qt5-default to build the new QT GUI
    (Closes: #785028)
  * Fix manpage about --default-language option (Closes: #776651)
  * Fix Exec value in mkvtoolnix-gui.desktop (Closes: #785539)
  * Add support for DEB_BUILD_OPTIONS parallel option.

 -- Christian Marillat <marillat@debian.org>  Sat, 20 Jun 2015 15:58:29 +0200

mkvtoolnix (7.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix a crash in mkvinfo (Closes: #783984)

 -- Christian Marillat <marillat@debian.org>  Sun, 10 May 2015 19:58:25 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
 libboost-filesystem-dev (>= 1.46~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allows one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allows one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allows one to get information about a Matroska file.

## mkvtoolnix 8.2.0

=== debian/changelog ===
mkvtoolnix (8.2.0-2) unstable; urgency=medium

  * Update boost dependencies to 1.58

 -- Christian Marillat <marillat@debian.org>  Tue, 04 Aug 2015 08:05:38 +0200

mkvtoolnix (8.2.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Jul 2015 20:29:02 +0200

mkvtoolnix (8.1.0-1) unstable; urgency=medium

  * New upstream bugfix release.
  * This version add command line support (Closes:  #789498)

 -- Christian Marillat <marillat@debian.org>  Sat, 27 Jun 2015 14:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.6
+Build-Conflicts:  libmatroska-dev (>= 1.4.1),
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
+ libbz2-dev, libflac-dev, libmagic-dev,
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
- libboost-filesystem-dev (>= 1.46~)
+ libboost-filesystem-dev (>= 1.58~)
 
 Package: mkvtoolnix
 Architecture: any
@@ -17,9 +18,9 @@
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
  Binary Meta Language), which is a kind of binary XML.
- These tools allow to manipulate Matroska files.
+ These tools allow one to manipulate Matroska files.
   * mkvmerge is a tool to create Matroska files from other formats
-  * mkvinfo allows one to get information about the tracks in a Matroska file
+  * mkvinfo allow one to get information about the tracks in a Matroska file
   * mkvextract can extract tracks from Matroska files to other formats
  .
  This package only provides command-line tools. For graphical tools, you
@@ -34,7 +35,7 @@
  Binary Meta Language), which is a kind of binary XML.
  .
  The mmg tool is a graphical user interface for the mkvmerge program, which
- allows one to create Matroska files from other formats.
+ allow one to create Matroska files from other formats.
  .
  This package also contains a graphical version of the mkvinfo tool, which
- allows one to get information about a Matroska file.
+ allow one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-gui

#	exit 1

	./drake -j $(NCPUS)

	mv src/mkvinfo src/mkvinfo-gui

	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	./drake clean:dist

	dh_auto_configure -- \
	--disable-gui

	./drake default 'translations:guides' -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || ./drake clean:dist

	dh_clean src/mkvinfo-gui config.status config.log \
	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config \
	src/mkvtoolnix-gui/mkvtoolnix-gui

override_dh_install:
	./drake install 'install:translations:guides' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'

	cp share/desktop/mkvtoolnix-gui.desktop debian/tmp/usr/share/applications
	cp share/desktop/mkvinfo.desktop debian/tmp/usr/share/applications
	mv debian/tmp/usr/bin/mkvinfo debian/tmp/usr/bin/mkvinfo-text

	dh_install --fail-missing -Xmkvtoolnix.xml

	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

override_dh_auto_build:
override_dh_prep:

## mkvtoolnix 8.5.1

=== debian/changelog ===
mkvtoolnix (8.5.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 21 Oct 2015 18:07:56 +0200

mkvtoolnix (8.5.0-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove 01_locale patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Sat, 17 Oct 2015 15:57:16 +0200

mkvtoolnix (8.4.0-2) unstable; urgency=medium

  * New patch from upstream to fix broken saved configuration file
    (Closes: #801277).
    mkvtoolnix-gui must be started and then closed to update his
    configuration file.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Oct 2015 18:00:40 +0200

mkvtoolnix (8.4.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Sep 2015 17:45:00 +0200

mkvtoolnix (8.3.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Aug 2015 09:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.6
-Build-Conflicts:  libmatroska-dev (>= 1.4.1),
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev,
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
  libboost-filesystem-dev (>= 1.58~)

## mkvtoolnix 8.5.2

=== debian/changelog ===
mkvtoolnix (8.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Nov 2015 17:17:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.4),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
  libboost-filesystem-dev (>= 1.58~)

## mkvtoolnix 8.6.1

=== debian/changelog ===
mkvtoolnix (8.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Nov 2015 09:16:12 +0100

mkvtoolnix (8.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 29 Nov 2015 10:39:49 +0100

## mkvtoolnix 8.7.0

=== debian/changelog ===
mkvtoolnix (8.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 31 Dec 2015 16:32:40 +0100

## mkvtoolnix 8.8.0

=== debian/changelog ===
mkvtoolnix (8.8.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 10 Jan 2016 15:15:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
-Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
+Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.4),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	NCPUS:=1
 endif
 
-DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
 
 %:
 	dh $@
@@ -27,7 +28,7 @@
 	dh_auto_configure -- \
 	--disable-gui
 
-	./drake default 'translations:guides' -j $(NCPUS)
+	./drake default -j $(NCPUS)
 
 override_dh_clean:
 	[ ! -f build-config ] || ./drake clean:dist
@@ -37,7 +38,7 @@
 	src/mkvtoolnix-gui/mkvtoolnix-gui
 
 override_dh_install:
-	./drake install 'install:translations:guides' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
+	./drake install DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
 	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
 
 	cp share/desktop/mkvtoolnix-gui.desktop debian/tmp/usr/share/applications

=== debian/watch ===
version=3

http://www.bunkus.org/videotools/mkvtoolnix/sources/mkvtoolnix-(.*)\.tar\.xz

## mkvtoolnix 9.1.0

=== debian/changelog ===
mkvtoolnix (9.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 23 Apr 2016 18:32:35 +0200

mkvtoolnix (9.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Mar 2016 19:59:29 +0200

mkvtoolnix (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 26 Mar 2016 19:01:40 +0100

mkvtoolnix (8.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 26 Feb 2016 16:11:23 +0100

## mkvtoolnix 9.2.0

=== debian/changelog ===
mkvtoolnix (9.2.0-2) unstable; urgency=medium

  * Add a patch to fix a crash with 'mkvinfo -g' (Closes: #827869).

 -- Christian Marillat <marillat@debian.org>  Sat, 25 Jun 2016 17:45:27 +0200

mkvtoolnix (9.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Jun 2016 16:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.4),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,

## mkvtoolnix 9.3.1

=== debian/changelog ===
mkvtoolnix (9.3.1-1build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:30:41 +0000

mkvtoolnix (9.3.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:26:02 +0000

mkvtoolnix (9.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Thu, 14 Jul 2016 09:20:19 +0200

mkvtoolnix (9.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends on libpugixml-dev (Closes: #830153)
  * Bump libmatroska-dev Build-Dependency to 1.4.5
  * Remove 01_fix-crash-827869 patch.

 -- Christian Marillat <marillat@debian.org>  Thu, 14 Jul 2016 08:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.4),
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
- libboost-filesystem-dev (>= 1.58~)
+ libboost-filesystem-dev (>= 1.58~), libpugixml-dev
 
 Package: mkvtoolnix
 Architecture: any

## mkvtoolnix 9.5.0

=== debian/changelog ===
mkvtoolnix (9.5.0-2) unstable; urgency=medium

  * Add patch from upstream to fix build with QT 5.7 (CLoses: #844660)

 -- Christian Marillat <marillat@debian.org>  Sun, 20 Nov 2016 18:48:21 +0100

mkvtoolnix (9.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 16 Oct 2016 20:02:39 +0200

mkvtoolnix (9.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Sep 2016 14:54:47 +0200

mkvtoolnix (9.4.0-2) unstable; urgency=medium

  * Remove libmatroska6v5 from Depends now we have fixed libmatroska
    packages.

 -- Christian Marillat <marillat@debian.org>  Mon, 29 Aug 2016 18:49:25 +0200

mkvtoolnix (9.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 23 Aug 2016 08:37:42 +0200

## mkvtoolnix 9.6.0

=== debian/changelog ===
mkvtoolnix (9.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 01_QT-5.7-fix patch merged upstream.

 -- Christian Marillat <marillat@debian.org>  Thu, 01 Dec 2016 01:39:33 +0100

## mkvtoolnix 9.7.0

=== debian/changelog ===
mkvtoolnix (9.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 27 Dec 2016 14:45:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
- libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, qt5-default,
- libboost-filesystem-dev (>= 1.58~), libpugixml-dev
+ libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
+ qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~)
 
 Package: mkvtoolnix
 Architecture: any

## mkvtoolnix 9.7.1

=== debian/changelog ===
mkvtoolnix (9.7.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 28 Dec 2016 16:58:45 +0100

## mkvtoolnix 9.8.0

=== debian/changelog ===
mkvtoolnix (9.8.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Jan 2017 17:26:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
- qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~)
+ qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake,
+ nlohmann-json-dev
 
 Package: mkvtoolnix
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,28 +18,28 @@
 
 #	exit 1
 
-	./drake -j $(NCPUS)
+	rake -j $(NCPUS)
 
 	mv src/mkvinfo src/mkvinfo-gui
 
-	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
-	./drake clean:dist
+	rake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
+	rake clean:dist
 
 	dh_auto_configure -- \
 	--disable-gui
 
-	./drake default -j $(NCPUS)
+	rake default -j $(NCPUS)
 
 override_dh_clean:
-	[ ! -f build-config ] || ./drake clean:dist
+	[ ! -f build-config ] || rake clean:dist
 
 	dh_clean src/mkvinfo-gui config.status config.log \
 	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config \
 	src/mkvtoolnix-gui/mkvtoolnix-gui
 
 override_dh_install:
-	./drake install DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
-	./drake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
+	rake install DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
+	rake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
 
 	cp share/desktop/mkvtoolnix-gui.desktop debian/tmp/usr/share/applications
 	cp share/desktop/mkvinfo.desktop debian/tmp/usr/share/applications

=== debian/watch ===
version=3

https://mkvtoolnix.download/sources/mkvtoolnix-(.*)\.tar\.xz
